using System.Collections.Generic;
using System.Xml.Serialization;

namespace BallotTemplates
{
    public class AdjustmentFields
    {
        public AdjustmentFields()
        {
            Items = new List<AdjustmentField>();
        }

        
        
        
        [XmlElement("adjustmentField", Type = typeof(AdjustmentField))]
        public List<AdjustmentField> Items { get; set; } 

        
        
        
        [XmlAttribute("type")]
        public AdjustmentMarkType Type { get; set; }


        
        
        
        [XmlAttribute("requiredNumber")]
        public int RequiredNumber { get; set; }

        
        
        
        [XmlAttribute("strokeWidth")]
        public int StrokeWidth { get; set; }
    }
}
